<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <title>Security critical Tor-0.2.0.26-rc released</title>
        <meta name="viewport" content="width=device-width">

        <!-- syntax highlighting CSS -->
        <link rel="stylesheet" href="/css/syntax.css">

        <!-- Custom CSS -->
        <link rel="stylesheet" href="/css/main.css">

    </head>
    <body>

        <div class="site">
          <div class="header">
            <h1 class="title"><a href="/">Your New Jekyll Site</a></h1>
            <a class="extra" href="/">home</a>
          </div>

          <h2>Security critical Tor-0.2.0.26-rc released</h2>
<p class="meta">13 May 2008</p>

<div class="post">
<p>Tor-0.2.0.26-rc replaces several V3 directory authority keys affected by a recent <a href="http://lists.debian.org/debian-security-announce/2008/msg00152.html">Debian OpenSSL bug</a>.</p>

<p><strong>This is a security-critical release.</strong></p>

<p>Everybody running any version in the 0.2.0.x series should upgrade, whether<br>
they are running Debian or not. Also, all servers running any version of Tor<br>
whose keys were generated by Debian, Ubuntu, or any derived distribution may<br>
have to replace their identity keys. See our <a href="http://archives.seul.org/or/announce/May-2008/msg00000.html">security advisory</a> for full details. As always, you can find Tor 0.2.0.26-rc on the <a href="https://www.torproject.org/download">downloads page</a>.</p>

<p>Changes in version 0.2.0.26-rc - 2008-05-13<br>
Major security fixes:</p>

<ul>
<li>Use new V3 directory authority keys on the tor26, gabelmoo, and moria1 V3 directory authorities. The old keys were generated with a vulnerable version of Debian&#39;s OpenSSL package, and must be considered compromised. Other authorities&#39; keys were not generatedwith an affected version of OpenSSL.</li>
</ul>

<p>Major bugfixes:</p>

<ul>
<li>List authority signatures as &quot;unrecognized&quot; based on DirServer lines, not on cert cache. Bugfix on 0.2.0.x.</li>
</ul>

<p>Minor features:</p>

<ul>
<li>Add a new V3AuthUseLegacyKey option to make it easier for authorities to change their identity keys if they have to.</li>
</ul>

</div>
<p>- phobos</p>


          <div class="footer">
            <div class="contact">
              <p>
                Your Name<br />
                What You Are<br />
                you@example.com
              </p>
            </div>
            <div class="contact">
              <p>
                <a href="https://github.com/yourusername">github.com/yourusername</a><br />
                <a href="https://twitter.com/yourusername">twitter.com/yourusername</a><br />
              </p>
            </div>
          </div>
        </div>

    </body>
</html>
